﻿Fluke Corporation                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub AT MSO/DSO61xx (1 yr) Bandwidth IEEE /9500+G1
INSTRUMENT:            Sub AT MSO/DSO61xx (1 yr) Trig Sens IEEE /9500+G1
DATE:                  2011-02-07 07:13:39
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       185
CONFIGURATION:         Datron 9500 (G1)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        GCM, DFM, DAC, CAD
#
#  Model(s) Covered:
#        Agilent DSO6102A, MSO6102A, DSO6104A, MSO6104A
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub AT MSO/DSO6xxx Select Channel
#        Sub AT MSO/DSO6xxx Wait for Triggered
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub AT MSO/DSO6xxx Select Channel

  1.002  JMPL         BANDWIDTH                    PSUBI("Bandwidth")
  1.003  JMPL         TRIGGER                      PSUBI("Trig Sens")

  1.004  DISP         {Undefined subprocedure!}

  1.005  END

  1.006  EVAL   Increment step number


# Sub AT MSO/DSO61xx (1 yr) Bandwidth SCPI /9500+G1 ==========================

  2.001  LABEL        BANDWIDTH

# If TAR mode is selected, set NTHROW to zero to reduce execution time.
  2.002  IF           ZCMPI(@MeasMode, "TAR")
  2.003  TSET         NTHROW = 0
  2.004  ENDIF

  2.005  IF           @Chan == 1
  2.006  RSLT         =
  2.007  HEAD         VERTICAL {BANDWIDTH (-3 dB)}
  2.008  RSLT         =
  2.009  ELSE
  2.010  HEAD         VERTICAL BANDWIDTH (-3 dB)
  2.011  ENDIF

  2.012  HEAD         -2 Channel [V @Chan]: 200 mV/div
  2.013  TARGET       -p
  2.014  SCPI         ACQ:MODE ETIME;TYPE AVERAGE;COUNT 8
  2.015  SCPI         TRIG:MODE EDGE;SWE AUTO;SOUR CHAN[V @Chan]
  2.016  SCPI         MEAS:SOURCE CHAN[V @Chan]
  2.017  SCPI         CHAN[V @Chan]:SCAL 200mV;COUP DC;IMP FIFT

  2.018  TARGET       -m
  2.019  SCPI         TIM:SCAL 500ns
  2.020  MATH         MEM = 1200; MEM1 = MEM

# Set the output of the calibrator so the peak-to-peak measurement is
# between 1198 and 1202 mV.
  2.021  DO
  2.022  MATH         MEM = MEM1 + (1200 - MEM) / 2
  2.023  9500         mVpp                         1MH            LS    S  L
  2.024  WAIT         [D1000]
  2.025  SCPI         MEAS:VAMP?[I]
  2.026  MATH         MEM = MEM / 1E-3
  2.027  UNTIL        (MEM >= 1198) && (MEM <= 1202)

# Store UUT amplitude reading at reference frequency in L[1].
  2.028  MATH         L[1] = MEM
# Copy last calibrator amplitude setting (in MEM1) to MEM to set 9500 output.
  2.029  MATH         MEM = MEM1

  2.030  SCPI         TIM:SCAL 500ps
  2.031  9500         mVpp                         1000MH         LS    S  L
  2.032  WAIT         -t 5 System settling...
  2.033  SCPI         MEAS:VAMP?[I]
  2.034  MATH         MEM = MEM / 1E-3
# Compute 'dB down' from reference at UUT rated bandwidth and format.
  2.035  MATH         MEM2 = FMT((20 * LOG(MEM / L[1])), "%4.2f")
  2.036  MATH         MEM = MEM2
  2.037  EVAL   -e  ABS(MEM) < 3:Channel [V @Chan] @ 1 GHz: [MEM] dB

  3.001  9500         *                                                 S
  3.002  SCPI         *RST
  3.003  HEAD
  3.004  HEAD         -2
  3.005  END

  3.006  EVAL   Increment step number


# Sub AT MSO/DSO61xx (1 yr) Trig Sens IEEE /9500+G1 ==========================

  4.001  LABEL        TRIGGER

# Set the output of the calibrator so the peak-to-peak measurement is
# between 4 mV and 6 mV.  The minimum peak to peak output from the 9500
# is 4.4401 mVpp.  When this loop reaches that voltage it jumps out to the
# measurement routine.

# Due to qualitative nature of the test, repeated measurements unnecessary.
  4.002  VSET         NTHROW = 0; NMEAS = 1

  4.003  IF           @Chan == 1
  4.004  RSLT         =
  4.005  HEAD         {TRIGGER SENSITIVITY (Internal)}
  4.006  ELSE
  4.007  HEAD         TRIGGER SENSITIVITY (Internal)
  4.008  ENDIF

  4.009  RSLT         =
  4.010  HEAD         -2 {Channel [V @Chan]}
  4.011  TARGET
  4.012  SCPI         CHAN[V @Chan]:SCAL 5mV;IMP FIFT
  4.013  SCPI         MEAS:SOURCE CHAN[V @Chan]
  4.014  SCPI         ACQ:MODE ETIME;TYPE AVERAGE;COUNT 8
  4.015  SCPI         TRIG:MODE EDGE;SWE AUTO;EDGE:SOUR CHAN[V @Chan]
  4.016  SCPI         TIM:SCAL 10ns

  4.017  TARGET       -m
  4.018  MATH         MEM = 10; L[1] = MEM

  4.019  DO
  4.020  MATH         L[1] = L[1] - 1; MEM = L[1]
  4.021  9500         mVpp                         25MH           LS    S  L
  4.022  WAIT         [D1000]
  4.023  SCPI         MEAS:VAMP?[I]
  4.024  MATH         MEM = MEM / 1E-3
  4.025  UNTIL        ((MEM > 4) && (MEM <= 6))|| L[1] == 4.4401

  4.026  SCPI         TRIG:SWE NORM
  4.027  CALL         Sub AT MSO/DSO6xxx Wait for Triggered
  4.028  SCPI         TRIG:SWE AUTO
  4.029  EVAL   -e  @Trig :[32]1.0 div. @ 25 MHz


  5.001  SCPI         CHAN[V @Chan]:SCAL 100mV
  5.002  SCPI         TIM:SCAL 500ps

  5.003  TARGET       -m
  5.004  MATH         MEM = 60; MEM1 = MEM

  5.005  DO
  5.006  MATH         MEM = MEM1 + (60 - MEM) / 2
  5.007  9500         mVpp                         1000MH         LS    S  L
  5.008  WAIT         [D1000]
  5.009  SCPI         MEAS:VAMP?[I]
  5.010  MATH         MEM = MEM / 1E-3
  5.011  UNTIL        (MEM >= 58) && (MEM <= 62)

  5.012  SCPI         TRIG:SWE NORM
  5.013  CALL         Sub AT MSO/DSO6xxx Wait for Triggered
  5.014  SCPI         TRIG:SWE AUTO
  5.015  EVAL   -e  @Trig :[32]0.6 div. @ 1 GHz

  6.001  9500         *                                                 S
  6.002  SCPI         *RST
  6.003  VSET         NTHROW = [V @NThrow]; NMEAS = [V @NMeas]
  6.004  HEAD
  6.005  HEAD         -2
  6.006  END
